Compatible Clients

TLS隧道通过检查传入TLS连接上的服务器名称信息(SNI)扩展中存在的数据来工作。 并非所有启动TLS连接的客户端都支持设置SNI扩展数据。 这些客户端无法与cpolar的TLS隧道一起正常使用。 幸运的是,几乎所有现代浏览器都使用SNI。 某些现代软件库却没有。 以下客户端列表不支持SNI,并且不适用于TLS隧道:

Microsoft Internet Explorer 6.0
Microsoft Internet Explorer 7 & 8 on Windows XP or earlier
Native browser on Android 2.X
Java <=1.6
Python 2.X, 3.0, 3.1 if required modules are not installed
可以在Wikipedia上的Server Name Indiciation页面上找到更完整的列表。

发表评论

关闭菜单